Summary:   mpsql - an interactive query tool for PostgresSQL
Name:      mpsql
Version:   1.5.3
Release:   1
Copyright: Freely Redistributable
Group:     Applications/Databases
Source0:   ftp://ftp.troubador.com/pub/keidav/%{name}-%{version}.tgz
Source1:   %{name}.wmconfig
Patch:	   %{name}-%{version}.patch
Vendor:    Lionel ULMER <bbrox@mygale.org>
URL:       http//www.mygale.org/~bbrox/GtkSQL/
BuildRoot: /tmp/%{name}-%{version}-root
%description
MpSQL is a graphical query tool for PostgreSQL 6.3.

FEATURES:

* execute multiple SQL statements or one of many by highlighting then executing
* work with multiple buffers
* open/save buffers from/to files
* cut/copy/paste between buffers
* spool query output to a file
* spool data in fixed length, comma, tab or space delimited format
* print buffers
* save application options to a startup file ($HOME/.mpsql)

%prep
%setup -q
%patch -p1

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{etc/X11/wmconfig,usr/X11R6/bin}

make install DESTDIR=$RPM_BUILD_ROOT
install %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/wmconfig/mpsql

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644, root, root, 755)
%doc README COPYRIGHT bug.template
/etc/X11/wmconfig/mpsql
%config /usr/X11R6/lib/X11/app-defaults/Mpsql
%attr(755 , root, root) /usr/X11R6/bin/mpsql

%changelog

* Sat Aug  9 1998 Kjetil Wiekhorst Jrgensen <jorgens@pvv.org> [1.5.3-1]

- First rpm package.
